SamePropertyValuesAs (JavaHamcrest 2.0.0.0 API)
Date: 2015-01-18

org.hamcrest.beans

## Class SamePropertyValuesAs<T>

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeDiagnosingMatcher<T>
    - - org.hamcrest.beans.SamePropertyValuesAs<T>

- All Implemented Interfaces:
    Matcher<T>, SelfDescribing

      public class SamePropertyValuesAs<T>
      extends TypeSafeDiagnosingMatcher<T>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SamePropertyValuesAs.PropertyMatcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamePropertyValuesAs(T expectedBean)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `describeTo(Description description)` Generates a description of the object.
    `boolean` | `matchesSafely(T bean, Description mismatch)` Subclasses should implement this.
    `static <T> Matcher<T>` | `samePropertyValuesAs(T expectedBean)` Creates a matcher that matches when the examined object has values for all of its JavaBean properties that are equal to the corresponding values of the specified bean.

    - ### Methods inherited from class org.hamcrest.TypeSafeDiagnosingMatcher

      `describeMismatch, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SamePropertyValuesAs

          public SamePropertyValuesAs(T expectedBean)

  - ### Method Detail

    - #### matchesSafely

          public boolean matchesSafely(T bean,
                                       Description mismatch)

      Description copied from class: `TypeSafeDiagnosingMatcher`
      Subclasses should implement this. The item will already have been checked for the specific type and will never be null.
      Specified by:
        `matchesSafely` in class `TypeSafeDiagnosingMatcher<T>`

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.

    - #### samePropertyValuesAs

          public static <T> Matcher<T> samePropertyValuesAs(T expectedBean)

      Creates a matcher that matches when the examined object has values for all of its JavaBean properties that are equal to the corresponding values of the specified bean. For example:

          assertThat(myBean, samePropertyValuesAs(myExpectedBean))

      Parameters:
        `expectedBean` - the bean against which examined beans are compared